%% Plot different seismic sources and whales on same plot

set(0,'DefaultLineLineWidth',1.5');
set(0,'DefaultAxesFontSize',16);
cmap = get(gca,'ColorOrder');
%% Marine Vibe %%

figHandle = figure; clf;
set(figHandle,'Position',[100 100 600 400]);

a = load('MarineVibe');
subplot(3,1,1);
plot(a(:,1), a(:,2),'Color',cmap(3,:));
ylabel('\Delta p (bar m)');
xlim([0 1]);

t = linspace(0,1,1000);
dt = t(2)-t(1);
fsample = 1/dt;
aInt = pchip(a(:,1), a(:,2), t);
[wt, f] = cwt(aInt, fsample);
[m,n] = size(wt);
subplot(3,1,2:3);
pcolor(repmat(t,m,1), repmat(f,1,n), abs(wt));
shading interp;
ylim([10 250]);
xlim([0 1]);
ylabel('Frequency (Hz)');
xlabel('Time (s)');

% %% Seismic Airgun - Single %%
% 
% figHandle = figure(2); clf;
% set(figHandle,'Position',[100 100 600 300]);
% 
% b = load('SingleAirgun');
% plot(b(:,1), b(:,2)); hold on;
% xlim([0 0.45]);
% ylim([-2 7])
% ylabel('\Delta p (bar m)');
% xlabel('Time (s)');
% 
% %% Seismic Airgun - Cluster %%
% 
% c = load('Cluster');
% plot(c(:,1), c(:,2));
% xlim([0 0.45]);
% ylim([-2 7])
% xlabel('Time (s)');
% 
% legend('500 in^3 airgun','3 x 155 in^3 cluster')

print('marineVibe','-dpdf');
