function [t, a] = inverseFourierTransform(A2, params)
% [t, a] = inverseFourierTransform(A2, params)
%
% Compute the inverse Fourier Transform
%
% INPUTS:
% A2 = complex valued double sided amplitude spectrum
% params = parameters from Fourier Transform
%
% OUTPUTS:
% t = time vector
% a = amplitude of time series

a = ifft(A2)*params.L;
t = (0:(params.tEnd-params.Ts)/(length(a)-1):params.tEnd-params.Ts);